%define name	perl-Curses-UI
%define module  Curses-UI
%define version	0.96
%define release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A curses based perl OO user interface framework
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Curses/%{module}-%{version}.tar.gz
Patch0: Curses-UI-0.95-more-Listbox-alike-Popupmenu.patch
Patch2: Curses-UI-0.95-add-method-to-modify-button-label.patch
Patch3: Curses-UI-0.95-allow-setting-active-line.patch
Patch4: Curses-UI-0.95-focus-up-and-focus-down.patch
Patch5: Curses-UI-0.95-make-dialog-message-focusable-if-scrolled.patch
Patch6: Curses-UI-0.95-new-Container-method--delete_object.patch
Patch7: Curses-UI-0.95-do-not-replace-last-char-with-overflow-char.patch
Patch8: Curses-UI-0.95-gpm-does-not-work--hide-error-for-now.patch
Patch9: Curses-UI-0.95-only-redraw-Listbox-when-needed-otherwise-it-occurs-after-focus-next.patch
Requires:	perl-Curses
Requires:	perl-Term-ReadKey
BuildRequires:  perl-Test-Pod
BuildRequires:  perl-Term-ReadKey
BuildRequires:  perl-Curses
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A UI framework based on the curses library. Curses::UI contains
several widgets which can be used to build a user interface.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

%check
# need setting COLUMNS and LINES to help it getting "Terminal Size" under nohup or iurt
COLUMNS=80 LINES=25 make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README examples CREDITS BUGS Changes
%{perl_vendorlib}/Curses
%{_mandir}/*/*


%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.96-2mdv2009.0
+ Revision: 223587
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.96-1mdv2008.1
+ Revision: 136774
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.95-8mdv2008.0
+ Revision: 89536
- Rebuild

* Mon Jun 11 2007 Pixel <pixel@mandriva.com> 0.95-7mdv2008.0
+ Revision: 38027
- fix patch hiding gpm error (#26852)


* Tue Dec 19 2006 Pixel <pixel@mandriva.com> 0.95-6mdv2007.0
+ Revision: 99831
- only redraw Listbox when needed, otherwise it occurs after focus next (in drakxtools)

* Thu Nov 02 2006 Pixel <pixel@mandriva.com> 0.95-5mdv2007.1
+ Revision: 75452
- disable gpm, it does not work anyway (#26852)

* Sat Oct 21 2006 Pixel <pixel@mandriva.com> 0.95-4mdv2007.1
+ Revision: 71564
- help "make test" under nohup or iurt
- add many fixes/enhancements (mostly to make it more usable in drakxtools)
- Import perl-Curses-UI

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-3mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-2mdk
- Rebuild

* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.95-1mdk
- 0.95
- enable tests

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.94-2mdk
- fix deps

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.94-1mdk
- initial mandrake import

* Fri Sep 03 2004 Francis J. Lacoste <flacoste@logreport.org> 0.93-1
- Upstream ugprade to 0.93.
  - Rebuilt on Fedora Core 2.

* Sat Apr 10 2004 Francis J. Lacoste <flacoste@logreport.org> 0.92-1
- Initial packaging.

